#
# Cookbook Name:: linux-basic
# Recipe:: files
#
# Copyright 2015, http://DennyZhang.com
#
# All rights reserved - Do Not Redistribute
#

node.from_file(run_context.resolve_attribute('linux-basic', 'default'))

%w{node['basic']['enabled_services'] node['basic']['download_dir']}.each do |x|
  directory '#{x}' do
    owner 'root'
    group 'root'
    mode 00755
    recursive true
    action :create
  end
end

directory '/var/log/chef/' do
  owner 'root'
  group 'root'
  mode 00755
  recursive true
  action :create
end
